<?php
include_once '../sys/fnc.php';
echo '';
/* ---- */
if (!isset($user)) {
	include_once '../sys/head.php';
	echo '<div class="menu_link">Ошибка!</div>
<div class="post0">Извините! Но доступ на данную страницу разрешён только клиентам хостинга, пожалуйста зарегистрируйтесь или войдите под своим логином</div></div>';
	include_once '../sys/foot.php';
	//header('location: /');
    //exit;
}
/* ---- */
$title = 'Заказы';
include_once '../sys/head.php';
echo '<div class="menu_link">Заказ услуги</div>
<div class="post0">';

/* Редактирование */

if (isset($_GET['del']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id_user` = '$user->id' AND `id` = '".intval($_GET['del'])."'"),0)==1)
{
$id_service = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['del'])."'"));


if (isset($_POST['yes']))
{
$reguserisp = file_get_contents("https://".$server.":1500/manager/ispmgr?func=user.delete&owner=root&out=xml&authinfo=".$isprootlogin.":".$isprootpaswd."&sok=yes&elid=".$id_service['isp_login']."");
mysql_query("DELETE FROM `my_orders` WHERE `id` = '$id_service[id]'");
header('Location:/scripts/user/cabinet');
}
elseif (isset($_POST['no']))
{
header('Location:/scripts/user/cabinet');
}
echo $errort;
echo "<div class='post'><form method='post'>Удалить заказ $id_service[id] с сервера? Отменить данное действие невозможно!!<br>";
echo '<input type="submit" name="yes" value="Удалить" />';
echo '<input type="submit" name="no" value="Отменить" /></form></div>';
echo '<div class="menu"> » <a href="/scripts/products.php"> Назад</a></div>';
include_once '../sys/foot.php';
exit();
}
/* END Редактирование */


/* Редактирование */

if (isset($_GET['editing']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['editing'])."'"),0)==1)
{
$id_service = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['editing'])."'"));
$id_tarif_new = mysql_fetch_assoc(mysql_query("SELECT * FROM `services_orders` WHERE `id` = '".intval($_POST['id_tarif'])."' LIMIT 1"));

if (isset($_POST['save2'])) {

if ($id_service['name'] == $id_tarif_new['name']){
$error = true;
$errort .= '<div class="err">У вас и так этот тариф</div>';
}


if (isset($_POST['automatic_extension']) && ($_POST['automatic_extension']==0 || $_POST['automatic_extension']==1))
{
$automatic_extension = intval($_POST['automatic_extension']);
}
if (!$error){
// , `name` = '$id_tarif_new[name]', `price` = '$id_tarif_new[price]'
mysql_query("UPDATE `my_orders` SET `automatic_extension` = '$automatic_extension' WHERE `id` = '". $id_service['id'] ."'");

header('Location: /scripts/products.php');
}
}
echo $errort;
echo "<div class='post'><form method='post'>";
echo 'Данная функция автоматический пополнит ваш счет, за оплату хостинга!<br>Не забывайте пополнять баланс вовремя, иначе заказ будет удален, а данные потеряны!<hr>';
echo "<b>Автоматическое продление услуги:</b><br />\n<select name='automatic_extension'>\n";
echo "<option value='0'".($id_service['automatic_extension']==0?" selected='selected'":null).">Отключено</option>\n";
echo "<option value='1'".($id_service['automatic_extension']==1?" selected='selected'":null).">Включено</option>\n";
echo "</select><br />\n";
/*
echo '<b>Изменить тариф на:</b><br /> <select name="id_tarif"><br />';
$q2 = mysql_query("SELECT * FROM `services_orders` ORDER BY `id` ASC");
while ($id_tarif = mysql_fetch_assoc($q2)) {
echo '<option '. ($id_tarif['name'] == $id_service['name'] ? "selected='selected'" : null) .' value="'. $id_tarif['id'] .'">'. output($id_tarif['name']) . ' | Диск: '.$id_tarif['disk'].' mb | Цена в месяц: '.sprintf("%.02f", $id_tarif['price']) . ' RUB</option>';

}
echo '</select><br />';
*/
echo '<input type="submit" name="save2" value="Сохранить" />
</form>
</div>';
echo '<div class="menu"> » <a href="/scripts/products.php"> Назад</a></div>';
include_once '../sys/foot.php';
exit();
}
/* END Редактирование */

/* Редактирование ПАРОЛЯ */

if (isset($_GET['password']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id` = '".intval($_GET['password'])."'"),0)==1)
{
$id_service = mysql_fetch_assoc(mysql_query("SELECT * FROM `my_orders` WHERE `id` = '".intval($_GET['password'])."'"));

if (isset($_POST['save2'])) {
$isp_password = html($_POST['isp_password']);

mysql_query("UPDATE `my_orders` SET `isp_password` = '$isp_password' WHERE `id` = '". $id_service['id'] ."'");
header('Location: /scripts/products.php');

}

echo "<div class='post'><form method='post'>";

echo '<b>Пароль от ISP</b>: <br />
<input type="text" name="isp_password" '. (isset($_POST['isp_password']) ? 'value="'. html($_POST['isp_password']) .'"' : 'value="'. $user->isp_password .'"') .' /><br />';

echo '<input type="submit" name="save2" value="Сохранить" />
</form></div>
<div class="err">1.Вначале смените пароль в ISPmanager!<br />
2.Измените здесь пароль на тот который указали в ISPmanager!</div>';
echo '<div class="menu"> » <a href="/scripts/products.php"> Назад</a></div>';
include_once '../sys/foot.php';
exit();
}
/* END Редактирование ПАРОЛЯ */

if (isset($_GET['id_tarif'])){
$id_tarif = mysql_fetch_assoc(mysql_query("SELECT * FROM `services_orders` WHERE `id` = '".intval($_GET['id_tarif'])."'"));
}



if (isset($_GET['id_tarif']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `services_orders` WHERE `id` = '".$id_tarif['id']."' AND `status_activity` = '0'"),0)==1)
{
// Вывод тарифа
echo '<div class="menu">'. html($id_tarif['name']) .'</div>
<div class="post">
<b>Место на диске:</b> '. $id_tarif['disk'] .' mb<br />
<b>Трафик:</b>  '. $id_tarif['traffic'] .' <br />
<b>Доменов:</b> '. $id_tarif['domain'] .' <br />
<b>Под-доменов:</b> '. $id_tarif['sub_domains'] .' <br />
<b>FTP-доступ:</b> '. $id_tarif['FTP'] .' <br />
'.($id_tarif['installation'] > 0 ?  '<b>Цена установки:</b> '. $id_tarif['installation'] .' Руб <br />' : '').'
<b>Цена в месяц:</b> '.intval($id_tarif['price']).' Руб.
</div>';
// Проверка хватает ли денег
if ($id_tarif['price']+$id_tarif['installation'] >= $user->wmr + 0.01)
{
echo '<div class="err">Ошибка! У Вас недостаточно средств для оплаты установки и минимального срока заказа!</div>';
echo '<div class="err">Вам нехватает '.sprintf("%.02f", $id_tarif['price']+$id_tarif['installation']-$user->wmr).' рублей.</div>';
}
else
{
// Продолжение заказа
if (isset($_POST['pay']))
{
// Бонусные дни
$bonus_vvod = (!$_POST['bonus_days'] ? NULL : ''.html($_POST['bonus_days']).'');
$bonus_vvod2 = (!$_POST['bonus_days'] ? '0' : '1');
if (isset($_POST['bonus_days']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `bonus_days_code` WHERE `code` = '". $bonus_vvod ."'"),0)==$bonus_vvod2)
{
// Скидки в %
$discount_vvod = (!$_POST['discount_code'] ? NULL : ''.html($_POST['discount_code']).'');
$discount_vvod2 = (!$_POST['discount_code'] ? '0' : '1');
if (isset($_POST['discount_code']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `discount_code` WHERE `code` = '". $discount_vvod ."'"),0)==$discount_vvod2)
{
if (isset($_POST['domen']) && $_POST['domen']!=NULL)
{
// Создаем пользователя в ISP
$presetapi =$id_tarif['name_preset'];
////////////////////////////////////////
$isp_paswd	=	generate_password();
$isp_hdd	=	$id_tarif['disk'];
$isp_traf	=	$id_tarif['traffic'];

$isp_domen = trim(html($_POST['domen']));
$ord=mysql_fetch_array(mysql_query("SELECT * FROM `my_orders` ORDER BY `id` DESC LIMIT 1"));
$ordid=$ord['id']+1;
$log = $user->login;
$rand = rand(100,999);
$isp_user_register_login = "$log$rand";
$isp_user_register_login = mb_strtolower($isp_user_register_login);
$reguserisp = file_get_contents("https://w-hosting.tk:1500/manager/ispmgr?func=user.edit&owner=root&out=xml&authinfo=root:rainbowdash2002&name=".$isp_user_register_login."&passwd=".$isp_paswd."&confirm=".$isp_paswd."&ip=".$ip_domain."&preset=".$presetapi."&sok=yes");
if(preg_match('<ok/>',$reguserisp))
{
// OK

//echo (mysql_result(mysql_query("SELECT COUNT(*) FROM `bonus_days_code` WHERE `code` = '". $bonus_vvod ."'"),0)==1 ? '<br />Код принят' : NULL);

$bonus_id = mysql_fetch_assoc(mysql_query("SELECT * FROM `bonus_days_code` WHERE `code` = '".html($_POST['bonus_days'])."'"));

$discount_id = mysql_fetch_assoc(mysql_query("SELECT * FROM `discount_code` WHERE `code` = '".html($_POST['discount_code'])."'"));

$t30 = 30 + $bonus_id['days'];

mysql_query("INSERT INTO `my_orders` (`name`,`id_user`,`price`,`works_to`,`isp_login`,`isp_password`,`status`) values
('".html($id_tarif['name'])."','".$user->id."','".$id_tarif['price']."','".(time()+60 * 60 * 24 * $t30)."','".$isp_user_register_login."','".$isp_paswd."','1')");
$msg = "Заказ № ".mysql_insert_id()."
Логин ISP: $isp_user_register_login
Пароль ISP: $isp_paswd
Спасибо за выбор HostBitter.Ru!
Быстрый вход: Кабинет-Услуги-WAP/WEB ISP";
mysql_query("INSERT INTO `mail` (`user`, `ank`, `msg`, `time`, `type`) values ('$user->id', '0', '$msg', '".time()."', 'in')");
mysql_query("UPDATE `user` SET `dsp_friends_c` = `dsp_friends_c` + '2' WHERE `id` = '$user->id'");
$cena_news = $id_tarif['price']-$id_tarif['installation']; // Цена
$discount = $discount_id['discount']; // Скидка

// Для включения скидки
if (isset($discount_id)){

$cena_hist = $id_tarif['price']+$id_tarif['installation'];
$cena_2 = $cena_hist - ($cena_hist / 100 * $discount);

mysql_query("UPDATE `user` SET `wmr` = '".($user->wmr-$cena_2)."' WHERE `id` = '$user->id' LIMIT 1");

mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$user->id', '".sprintf("%.02f",$cena_2)."', '0', 'Заказ услуги ".html($id_tarif['name'])." ', '".time()."')");
} else { // Без скидки
mysql_query("UPDATE `user` SET `wmr` = '".($user->wmr-$cena_news)."' WHERE `id` = '$user->id' LIMIT 1");
$cena_hist2 = $id_tarif['price']+$id_tarif['installation'];
mysql_query("INSERT INTO `history_money` (`user`, `money`, `mp`, `usl`, `time`) values('$user->id', '".sprintf("%.02f",$cena_hist2)."', '0', 'Заказ услуги ".html($id_tarif['name'])." ', '".time()."')");
}

// Зачилсяем рубли рефу
if ($user->ref != NULL){

$ref_1 = $id_tarif['price']+$id_tarif['installation'];
$ref_suma2 = $ref_1 / 5;

mysql_query("INSERT INTO `userref` (`user_id`, `id_ref`, `time`, `profit_suma`) VALUES ('".$user->ref."', '".$user->id."', '".time()."', '".$ref_suma2."');");
mysql_query("UPDATE `user` SET `wmr` = `wmr` + '".$ref_suma2."' WHERE `id` = '".$user->ref."' LIMIT 1");
mysql_query("INSERT INTO `logs_bill` (`id_user`, `time`, `razd`, `text`) values('".$user->id."', '".time()."', 'Реферал', 'Оплатил реферал услугу - Получил ".$ref_suma2." - ID: ".$user->ref."')"); // Записуем лог

}

echo 'Успешно заказано! <META HTTP-EQUIV="REFRESH" CONTENT="0; URL=/mail">';

// OK END
}
else
{
echo '<div class="err">Ошибка. Попробуйте позже.<br />Обратитесь в поддержку!<br></div>';
}
}
else
{
echo '<div class="err">Не указан домен</div>';
}
}
else
{
echo '<div class="err">«Промо-скидка» Такой код был не принят</div>';
}
}
else
{
echo '<div class="err">«Бонусные дни» Такой код был не принят</div>';
}
// END user
}



echo "<div class='post'><form method='post'>";
echo '<b>Бонусные дни (Код):</b> <br /><input type="text" name="bonus_days" /><br />';
echo '<b>Промо-скидка (Код):</b> <br /><input type="text" name="discount_code" /><br />';
echo '<div class="skt"><b>Доменное имя (example.com):</b> <br /><input type="text" value="explamed.com" pattern="^([a-zA-Z0-9]([a-zA-Z0-9\-]{0,61}[a-zA-Z0-9])?\.)+[a-zA-Z]{2,6}$" name="domen" required/></div>';
echo '<input type="submit" name="pay" value="Оплатить" />

</form></div>';
}
} else {
// Мои заказы
$c_p = mysql_result(mysql_query("SELECT COUNT(*) FROM `my_orders` WHERE `id_user` = '".$user->id."'"),0);
$p_page = '10';
$k_page = k_page($c_p, $p_page);
$page = page($k_page);
$start = $p_page*$page-$p_page;

if ($c_p == 0) {
	echo '<div class="err">Ошибка! У Вас отсутствуют заказы!</div>';
}else{

$query = mysql_query("SELECT * FROM `my_orders` WHERE `id_user` = '".$user->id."' ORDER BY `id` DESC LIMIT $start, ". $p_page);
while ($post = mysql_fetch_assoc($query)) {
// Вывод статуса
$status_k = array(0 => '<font color="#858513">Заказан №'.$post['id'].'</font>', 1 => '<font color="#009900">Активен</font>', 2 => '<font color="red">Остановлен</font>', 3 => '<font color="#181818">Обрабатывается</font>');

//Вводим дату, до которой считать

$date_to = $post['works_to'];

$date_now = time();  //текущая дата

$date_left = $date_to-$date_now;//сколько осталось

$gtdate = getdate($date_left); // переводим в массив

?>
<div class="menu_razd">
Заказ №<?= $post['id'] ?>
</div>
<div class="menu">
Логин ISP: <?= html($post['isp_login']) ?><br />
Пароль ISP: <?= html($post['isp_password']) ?>
</div>
<div class="menu">
Тариф: <?= html($post['name']) ?><br />
Цена/мес.: <?= intval($post['price']) ?> WMR
</div>
<div class="menu">
Действует до: <?= ptime(intval($post['works_to'])) ?> <? if($post['status']==1){?>[<?echo ($gtdate['yday'] > 10? '<font color="#009900">'.$gtdate['yday'].' дн.</font>' : '<font color="red">'.$gtdate['yday'].' дн.</font>') ?>]<?}?><br />
Состояние: <?= $status_k[$post['status']] ?>
</div>

<div class="menu">
Автоматическое продление услуги: <?= ($post['automatic_extension']==1? '<font color="#009900">Включено</font>' : '<font color="red">Отключено</font>') ?>
</div>

<div class="menu">
[<a href="/scripts/products.php?editing=<?= $post['id'] ?>">Редактировать</a>]
[<a href="https://<?= $server ?>/manager/ispmgr?func=auth&username=<?= $post['isp_login'] ?>&password=<?= $post['isp_password'] ?>">На сервер</a>]
[<a href="/isp/">Wap ISP</a>]
[<a href="/scripts/products.php?del=<?= $post['id'] ?>">Удалить заказ</a>]
</div>
<?
if (time() > $post['works_to'] && $post['status'] != '0' && $post['status'] != '3'){
echo '<div class="menu">';
echo '<font color="red">Срок действия услуги вышел!</font>';
echo '</div>';
}
}
if ($k_page > 1) str('/scripts/products.php?', $k_page, $page);
}
}
echo '</div></div></div>';
include_once '../sys/foot.php';
?>